#include "partition.h"
#include <bits/stdc++.h>

using namespace std;

const int maxn = 1e5 + 5;

int n;
pair<int, int> a[maxn];

std::vector<int> solve(std::vector<int> A)
{
    n = A.size();
    for (int i = 0; i < n; ++i)
    {
        a[i + 1] = {A[i], i};
    }

    vector<int> ans;
    for (int i = 0; i < n; ++i) ans.push_back(i);

    swap(ans[n - 1], ans[n / 2 - 1]);

    return ans;
}
